package dev.fyloz.trial.colorrecipesexplorer

import dev.fyloz.trial.colorrecipesexplorer.config.properties.CREProperties
import dev.fyloz.trial.colorrecipesexplorer.config.properties.MaterialTypeProperties
import dev.fyloz.trial.colorrecipesexplorer.repository.MaterialTypeRepository
import dev.fyloz.trial.colorrecipesexplorer.repository.NamedJpaRepository
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.FilterType
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@SpringBootApplication
@EnableConfigurationProperties(MaterialTypeProperties::class, CREProperties::class)
class ColorRecipesExplorerApplication

fun main(args: Array<String>) {
    runApplication<ColorRecipesExplorerApplication>(*args)
}
